| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Slots | Public Member Functions | Protected Member Functions | List of all members
Digikam::VisibilityController Class Reference
Inheritance diagram for Digikam::VisibilityController:

## Public Types
enum | Status { Unknown , Hidden , Showing , Shown , Hiding }

## Public Slots
void | hide ()
void | setVisible (bool visible)
| Shows/hides all added objects.
void | show ()
void | triggerVisibility ()
| Shows if hidden and hides if visible.

## Public Member Functions
| VisibilityController (QObject *const parent)
void | addObject (VisibilityObject *const object)
| Add an object implementing the VisibilityObject interface.
void | addWidget (QWidget *const widget)
| Add a widget to this controller.
bool | isVisible () const
| Returns true if the contained objects are visible or becoming visible.
void | setContainerWidget (QWidget *const widget)
| Set the widget containing the widgets added to this controller.

## Protected Member Functions
void | allSteps ()
virtual void | beginStatusChange ()
void | step ()

## Member Function Documentation

## ◆ addObject()

void Digikam::VisibilityController::addObject | ( | VisibilityObject *const | object | ) |

You can use this if you have your widgets grouped in intermediate objects.